## NMDeviceTeam

NMDeviceTeam

## Functions

GQuark | nm_device_team_error_quark ()
GObject * | nm_device_team_new ()
const char * | nm_device_team_get_hw_address ()
gboolean | nm_device_team_get_carrier ()
const GPtrArray * | nm_device_team_get_slaves ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read
NMObjectArray * | slaves | Read

## Types and Values

enum | NMDeviceTeamError
#define | NM_DEVICE_TEAM_ERROR
#define | NM_DEVICE_TEAM_HW_ADDRESS
#define | NM_DEVICE_TEAM_CARRIER
#define | NM_DEVICE_TEAM_SLAVES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceTeam

## Description

## Functions

### nm_device_team_error_quark ()

    GQuark
    nm_device_team_error_quark (void);

Registers an error quark for NMDeviceTeam if necessary.

#### Returns

the error quark used for NMDeviceTeam errors.

Since: 0.9.10

### nm_device_team_new ()

    GObject *
    nm_device_team_new (DBusGConnection *connection,
                        const char *path);

Creates a new NMDeviceTeam.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new device.

[transfer full]

Since: 0.9.10

### nm_device_team_get_hw_address ()

    const char *
    nm_device_team_get_hw_address (NMDeviceTeam *device);

Gets the hardware (MAC) address of the NMDeviceTeam

#### Parameters

device | a NMDeviceTeam |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

Since: 0.9.10

### nm_device_team_get_carrier ()

    gboolean
    nm_device_team_get_carrier (NMDeviceTeam *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceTeam |

#### Returns

`TRUE` if the device has carrier

Since: 0.9.10

### nm_device_team_get_slaves ()

    const GPtrArray *
    nm_device_team_get_slaves (NMDeviceTeam *device);

Gets the devices currently enslaved to `device` .

#### Parameters

device | a NMDeviceTeam |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

Since: 0.9.10

## Types and Values

### enum NMDeviceTeamError

#### Members

NM_DEVICE_TEAM_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_TEAM_ERROR_NOT_TEAM_CONNECTION | the connection was not of team type |
NM_DEVICE_TEAM_ERROR_INVALID_TEAM_CONNECTION | the team connection was invalid |
NM_DEVICE_TEAM_ERROR_INTERFACE_MISMATCH | the interfaces of the connection and the device mismatched |

### NM_DEVICE_TEAM_ERROR

    #define NM_DEVICE_TEAM_ERROR nm_device_team_error_quark ()

### NM_DEVICE_TEAM_HW_ADDRESS

    #define NM_DEVICE_TEAM_HW_ADDRESS  "hw-address"

### NM_DEVICE_TEAM_CARRIER

    #define NM_DEVICE_TEAM_CARRIER     "carrier"

### NM_DEVICE_TEAM_SLAVES

    #define NM_DEVICE_TEAM_SLAVES      "slaves"

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Owner: NMDeviceTeam

Flags: Read

Default value: FALSE

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Owner: NMDeviceTeam

Flags: Read

Default value: NULL

### The `“slaves”` property

      “slaves”                   NMObjectArray *

The devices (NMDevice) enslaved to the team device.

Owner: NMDeviceTeam

Flags: Read